> ## Documentation Index
> Fetch the complete documentation index at: https://docs.boundlesspay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get currencies

> Use this to retrieve a list of supported fiat and crypto currencies



## OpenAPI

````yaml GET /currencies
openapi: 3.1.0
info:
  title: BoundlessPay API
  version: 1.0.0
servers: []
security: []
paths:
  /currencies:
    get:
      description: Use this to retrieve a list of supported fiat and crypto currencies
      parameters:
        - name: type
          in: query
          description: Filter by currency type (crypto or fiat)
          required: true
          schema:
            type: string
            enum:
              - crypto
              - fiat
        - name: code
          in: query
          description: Filter by currency code (e.g., NGN, BTC)
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Currencies retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Operation successful
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                          example: Nigerian naira
                        code:
                          type: string
                          example: NGN
                        symbol:
                          type: string
                          example: ₦
                        type:
                          type: string
                          example: fiat
                        network:
                          type: array
                          items:
                            type: string
                          example: []

````